const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.prod.gnosispay.com/partner-api/v1/card-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://core.prod.gnosispay.com/partner-api/v1/card-transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.prod.gnosispay.com/partner-api/v1/card-transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/partner-api/v1/card-transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.prod.gnosispay.com/partner-api/v1/card-transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/partner-api/v1/card-transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "019cbf60-2a4b-7c1d-8e2f-3a4b5c6d7e8f",
"account_id": "019cbf58-1b2a-7c3d-9e4f-5a6b7c8d9e0f",
"card_id": "019cbf59-3c4d-7e5f-8a6b-7c8d9e0f1a2b",
"status": "cleared",
"direction": "debit",
"amounts": {
"billing": {
"amount": "1230",
"currency": "EUR",
"decimals": 2
},
"merchant": {
"amount": "1350",
"currency": "USD",
"decimals": 2
}
},
"description": "Coffee Shop",
"merchant": {
"name": "Coffee Shop",
"city": "Berlin",
"country": "DEU",
"category_code": "5814"
},
"authorization_code": "A1B2C3",
"decline_reason": null,
"created_at": "2025-06-16T09:15:00Z",
"updated_at": "2025-06-17T03:00:00Z"
}
],
"pagination": {
"next_page_cursor": null,
"has_next": false
}
}{
"code": 123,
"message": "<string>",
"reason": "<string>"
}List card transactions
Lists card-payment lifecycles for one account, newest first.
Each item is one aggregate card-payment lifecycle, not an individual card network event. Amounts and status can change as an authorization is cleared, reversed, cancelled, or declined.
amounts.billing is the current amount reserved or posted against the
account, in the account’s billing currency. amounts.merchant is the
current amount in the merchant or acquirer’s currency and is null when that
information was not supplied. Never substitute the billing amount for a
missing merchant amount.
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.prod.gnosispay.com/partner-api/v1/card-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://core.prod.gnosispay.com/partner-api/v1/card-transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.prod.gnosispay.com/partner-api/v1/card-transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/partner-api/v1/card-transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.prod.gnosispay.com/partner-api/v1/card-transactions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/partner-api/v1/card-transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "019cbf60-2a4b-7c1d-8e2f-3a4b5c6d7e8f",
"account_id": "019cbf58-1b2a-7c3d-9e4f-5a6b7c8d9e0f",
"card_id": "019cbf59-3c4d-7e5f-8a6b-7c8d9e0f1a2b",
"status": "cleared",
"direction": "debit",
"amounts": {
"billing": {
"amount": "1230",
"currency": "EUR",
"decimals": 2
},
"merchant": {
"amount": "1350",
"currency": "USD",
"decimals": 2
}
},
"description": "Coffee Shop",
"merchant": {
"name": "Coffee Shop",
"city": "Berlin",
"country": "DEU",
"category_code": "5814"
},
"authorization_code": "A1B2C3",
"decline_reason": null,
"created_at": "2025-06-16T09:15:00Z",
"updated_at": "2025-06-17T03:00:00Z"
}
],
"pagination": {
"next_page_cursor": null,
"has_next": false
}
}{
"code": 123,
"message": "<string>",
"reason": "<string>"
}Query Parameters
Account whose card transactions are returned. The account must belong to the authenticated partner.
Return transactions created at or after this time.
Return transactions created at or before this time.
The number of card transactions on each page (1-100).
1 <= x <= 100The cursor of the page to return. Its value comes from pagination.next_page_cursor in the previous response.